> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Post (/api-reference/posts/send-post)

Compose and send a new post to your OnlyFans account.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/{account}/posts
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/posts:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    post:
      summary: Send Post
      operationId: sendPost
      description: Compose and send a new post to your OnlyFans account.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    author:
                      view: a
                      avatar: https://public.onlyfans.com/files/.../avatar.jpg
                      avatarThumbs:
                        c50: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                        c144: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                      header: https://public.onlyfans.com/files/.../header_image.jpg
                      headerSize:
                        width: 4032
                        height: 3024
                      headerThumbs:
                        w480: https://thumbs.onlyfans.com/public/files/thumbs/w480/.../header_image.jpg
                        w760: https://thumbs.onlyfans.com/public/files/thumbs/w760/.../header_image.jpg
                      id: 123
                      name: Name
                      username: username
                      canLookStory: true
                      canCommentStory: true
                      hasNotViewedStory: false
                      isVerified: true
                      canPayInternal: true
                      hasScheduledStream: false
                      hasStream: false
                      hasStories: false
                      tipsEnabled: false
                      tipsTextEnabled: true
                      tipsMin: 5
                      tipsMinInternal: 1
                      tipsMax: 200
                      canEarn: true
                      canAddSubscriber: false
                      subscribePrice: 4.99
                      hasStripe: false
                      isStripeExist: false
                      subscriptionBundles: []
                      canSendChatToAll: true
                      creditsMin: 10
                      creditsMax: 200
                      isPaywallPassed: true
                      canCreateLists: true
                      showMediaCount: true
                      showPostsInFeed: true
                      subscribedBy: true
                      canTrialSend: false
                    responseType: post
                    id: 123
                    postedAt: 2025-01-01T01:01:01+00:00
                    postedAtPrecise: "123.000000"
                    text: Text
                    isMarkdownDisabled: true
                    canDelete: true
                    canComment: true
                    canEdit: true
                    mediaCount: 1
                    isOpened: true
                    canToggleFavorite: true
                    tipsAmount: $0
                    rawText: Text
                    media:
                      - id: 123
                        type: photo
                        convertedToVideo: false
                        canView: true
                        hasError: false
                        createdAt: 2025-01-01T00:00:00+00:00
                        isReady: false
                        files:
                          full:
                            url: null
                            width: 0
                            height: 0
                            size: 0
                            sources: []
                          thumb: null
                          preview: null
                          squarePreview: null
                        duration: 0
                        releaseForms: []
                        hasCustomPreview: false
                    canViewMedia: true
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999991
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49990
                properties:
                  data:
                    type: object
                    properties:
                      author:
                        type: object
                        properties:
                          view:
                            type: string
                            example: a
                          avatar:
                            type: string
                            example: https://public.onlyfans.com/files/.../avatar.jpg
                          avatarThumbs:
                            type: object
                            properties:
                              c50:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                              c144:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                          header:
                            type: string
                            example: https://public.onlyfans.com/files/.../header_image.jpg
                          headerSize:
                            type: object
                            properties:
                              width:
                                type: integer
                                example: 4032
                              height:
                                type: integer
                                example: 3024
                          headerThumbs:
                            type: object
                            properties:
                              w480:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/w480/.../header_image.jpg
                              w760:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/w760/.../header_image.jpg
                          id:
                            type: integer
                            example: 123
                          name:
                            type: string
                            example: Name
                          username:
                            type: string
                            example: username
                          canLookStory:
                            type: boolean
                            example: true
                          canCommentStory:
                            type: boolean
                            example: true
                          hasNotViewedStory:
                            type: boolean
                            example: false
                          isVerified:
                            type: boolean
                            example: true
                          canPayInternal:
                            type: boolean
                            example: true
                          hasScheduledStream:
                            type: boolean
                            example: false
                          hasStream:
                            type: boolean
                            example: false
                          hasStories:
                            type: boolean
                            example: false
                          tipsEnabled:
                            type: boolean
                            example: false
                          tipsTextEnabled:
                            type: boolean
                            example: true
                          tipsMin:
                            type: integer
                            example: 5
                          tipsMinInternal:
                            type: integer
                            example: 1
                          tipsMax:
                            type: integer
                            example: 200
                          canEarn:
                            type: boolean
                            example: true
                          canAddSubscriber:
                            type: boolean
                            example: false
                          subscribePrice:
                            type: number
                            example: 4.99
                          hasStripe:
                            type: boolean
                            example: false
                          isStripeExist:
                            type: boolean
                            example: false
                          subscriptionBundles:
                            type: array
                            example: []
                          canSendChatToAll:
                            type: boolean
                            example: true
                          creditsMin:
                            type: integer
                            example: 10
                          creditsMax:
                            type: integer
                            example: 200
                          isPaywallPassed:
                            type: boolean
                            example: true
                          canCreateLists:
                            type: boolean
                            example: true
                          showMediaCount:
                            type: boolean
                            example: true
                          showPostsInFeed:
                            type: boolean
                            example: true
                          subscribedBy:
                            type: boolean
                            example: true
                          canTrialSend:
                            type: boolean
                            example: false
                      responseType:
                        type: string
                        example: post
                      id:
                        type: integer
                        example: 123
                      postedAt:
                        type: string
                        example: 2025-01-01T01:01:01+00:00
                      postedAtPrecise:
                        type: string
                        example: "123.000000"
                      text:
                        type: string
                        example: Text
                      isMarkdownDisabled:
                        type: boolean
                        example: true
                      canDelete:
                        type: boolean
                        example: true
                      canComment:
                        type: boolean
                        example: true
                      canEdit:
                        type: boolean
                        example: true
                      mediaCount:
                        type: integer
                        example: 1
                      isOpened:
                        type: boolean
                        example: true
                      canToggleFavorite:
                        type: boolean
                        example: true
                      tipsAmount:
                        type: string
                        example: $0
                      rawText:
                        type: string
                        example: Text
                      media:
                        type: array
                        example:
                          - id: 123
                            type: photo
                            convertedToVideo: false
                            canView: true
                            hasError: false
                            createdAt: 2025-01-01T00:00:00+00:00
                            isReady: false
                            files:
                              full:
                                url: null
                                width: 0
                                height: 0
                                size: 0
                                sources: []
                              thumb: null
                              preview: null
                              squarePreview: null
                            duration: 0
                            releaseForms: []
                            hasCustomPreview: false
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 123
                            type:
                              type: string
                              example: photo
                            convertedToVideo:
                              type: boolean
                              example: false
                            canView:
                              type: boolean
                              example: true
                            hasError:
                              type: boolean
                              example: false
                            createdAt:
                              type: string
                              example: 2025-01-01T00:00:00+00:00
                            isReady:
                              type: boolean
                              example: false
                            files:
                              type: object
                              properties:
                                full:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      example: null
                                      nullable: true
                                    width:
                                      type: integer
                                      example: 0
                                    height:
                                      type: integer
                                      example: 0
                                    size:
                                      type: integer
                                      example: 0
                                    sources:
                                      type: array
                                      example: []
                                thumb:
                                  type: string
                                  example: null
                                  nullable: true
                                preview:
                                  type: string
                                  example: null
                                  nullable: true
                                squarePreview:
                                  type: string
                                  example: null
                                  nullable: true
                            duration:
                              type: integer
                              example: 0
                            releaseForms:
                              type: array
                              example: []
                            hasCustomPreview:
                              type: boolean
                              example: false
                      canViewMedia:
                        type: boolean
                        example: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999991
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49990
      tags:
        - Posts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  description: The post text content
                  example: Hello!
                labelIds:
                  type: string
                  description: Array of OF label IDs. Refer to our `/posts/labels` endpoint.
                  example:
                    - 123
                mediaFiles:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, or OF vault IDs.
                  example:
                    - ofapi_media_abc123
                    - "1234567890"
                  items:
                    type: file[]|string
                previews:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, OF vault IDs, or
                    integer indices referencing uploaded files in `mediaFiles`.
                    Will be shown if `price` is provided.
                  example:
                    - ofapi_media_abc123
                    - 1234567890
                  items:
                    type: file[]|string[]|int
                rfTag:
                  type: string
                  description: Array OnlyFans creator user IDs to tag in your post
                  example:
                    - 123
                expireDays:
                  type: integer
                  description: Number of days after which the post will expire. Between 1 and 30
                    days. Keep empty for no expiration.
                  example: 3
                scheduledDate:
                  type: string
                  description: Schedule your post in the future (UTC timezone).
                  example: 2025-01-01T00:00:00.000Z
                saveForLater:
                  type: boolean
                  description: Add your post to the "Saved for later" queue.
                  example: true
                fundRaisingTargetAmount:
                  type: integer
                  description: Add a fundraising target to your post. If present, value must be at
                    least 10.
                  example: 30
                fundRaisingTipsPresets:
                  type: array
                  description: Specify which tip amounts will be listed under the fundraising
                    card. Required with `fundRaisingTargetAmount`, and you must
                    provide at least 1 option. Array items cannot be higher than
                    the `fundRaisingTargetAmount`.
                  example:
                    - 5
                    - 10
                    - 15
                  items:
                    type: string
                votingType:
                  type: string
                  description: Include a poll or quiz within your post.
                  example: poll
                  enum:
                    - poll
                    - quiz
                votingDue:
                  type: integer
                  description: The due date (in days) of your poll/quiz. Can be 1, 3, 7 or 30
                    days. Can only be filled with `votingType`.
                  example: 3
                votingOptions:
                  type: array
                  description: The options of your poll/quiz. Required with `votingType`.
                  example:
                    - First option
                    - Second option
                  items:
                    type: string
                votingCorrectIndex:
                  type: integer
                  description: The array key of your quiz' correct answer. Required when
                    `votingType` is "quiz". Keep in mind that arrays start at
                    `0`
                  example: 0
              required:
                - text
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````